module PageContent
  class Engine < ::Rails::Engine
    initializer "page_content" do
      OrbitApp.registration "PageContent", :type => "ModuleApp" do
        module_label "page_content.page_content"
        base_url File.expand_path File.dirname(__FILE__)

        authorizable

        side_bar do
          head_label_i18n 'page_content.page', icon_class: "icons-newspaper"
          available_for [:admin,:manager,:sub_manager]
          active_for_controllers ({:private=>['page_content']})
          head_link_path "admin_page_contents_path"
      	end
      end
    end
  end
end
